package com.vazil.vridge.docs;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.web.servlet.function.RouterFunction;
import org.springframework.web.servlet.function.ServerResponse;

import java.net.URI;

import static org.springframework.web.servlet.function.RequestPredicates.GET;
import static org.springframework.web.servlet.function.RouterFunctions.route;

@SpringBootApplication
public class VridgeDocsApplication {

    public static void main(String[] args) {
        SpringApplication.run(VridgeDocsApplication.class, args);
    }

    @Bean
    RouterFunction<ServerResponse> routerFunction() {
        return route(GET("/api/swagger"), req -> ServerResponse.temporaryRedirect(URI.create("/api/swagger-ui/index.html")).build());
    }

}
