package com.vazil.vridge.docs.controller;

import com.vazil.vridge.docs.model.GuideIndex;
import com.vazil.vridge.docs.service.GuideIndexService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@AllArgsConstructor
@Log4j2
@RequestMapping("/api/guide-index")
@CrossOrigin
@Api("가이드 API V1")
public class GuideIndexController {
    GuideIndexService service;

    @ApiOperation(value="가이드 인덱스 조회")
    @GetMapping
    public ResponseEntity<?> getById(@RequestParam(value = "id") String id) throws Exception{
        return new ResponseEntity<>(service.getById(id), HttpStatus.OK);
    }

    @ApiOperation(value="가이드 인덱스 전체 조회")
    @GetMapping("/all")
    public ResponseEntity<?> getAll(@RequestParam(value = "locale", required = false) String locale)throws Exception{
        return new ResponseEntity<>(service.getAll(locale), HttpStatus.OK);
    }

    @ApiOperation(value="가이드 인덱스 추가")
    @PostMapping
    public ResponseEntity<?> create(@RequestBody GuideIndex index) throws Exception{
        return new ResponseEntity<>(service.create(index), HttpStatus.CREATED);
    }

    @PutMapping
    public ResponseEntity<?> update(@RequestBody GuideIndex index) throws Exception{
        return new ResponseEntity<>(service.update(index), HttpStatus.OK);

    }

    @DeleteMapping
    public ResponseEntity<?> delete(@RequestParam(value = "id") String id) throws Exception{
        return new ResponseEntity<>(service.delete(id), HttpStatus.OK);
    }
}
